Name:           hda-app-webcal
Version: 0.26
Release:        1

Summary:        Webcal is a HDA'ized version of PHPiCalendar

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hda-platform
Requires: hdactl > 1.51
Requires: python-dateutil python-cheetah
Requires: cadaver

%define debug_package %{nil}

%description
Webcal is a HDA'ized version of PHPiCalendar.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/webcal/html
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/webcal/logs
rsync -Ca webcal/ $RPM_BUILD_ROOT/var/hda/apps/webcal/html
rsync -Ca 05-webcal.conf $RPM_BUILD_ROOT/var/hda/apps/webcal
rsync -Ca *.ics $RPM_BUILD_ROOT/var/hda/apps/webcal
rsync -Ca vfb2ics/ $RPM_BUILD_ROOT/var/hda/apps/webcal/
rsync -Ca GCALDaemon $RPM_BUILD_ROOT/var/hda/apps/webcal/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/
rsync -Ca vfb2ics/webcal-update $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [[ -e /var/cache/hdactl.cache ]]; then
	if grep -q yes /var/cache/hdactl.cache ; then
		/usr/bin/hda-install-file /var/hda/apps/webcal/05-webcal.conf %{_sysconfdir}/httpd/conf.d/05-webcal.conf
		/usr/bin/hda-alias add webcal
		/sbin/service httpd reload > /dev/null 2>&1
	fi
fi

# initialize with at least one calendar - the US holiday
# calendar, plus two samples
# FIXME - make dependent on localization
if  [[ -z $(ls /var/hda/calendar/html/) ]] ; then
	cp -a /var/hda/apps/webcal/*.ics /var/hda/calendar/html/
fi


%preun
# if number of instances is 0 is a complete uninstall
# vs. > 0 if upgrade (in which case, check with if [ "$1" -ge "1" ]; then ...)
if [ "$1" = 0 ]; then
	/usr/bin/hda-alias rm webcal
	# FIXME remove contrab here.
	/sbin/service httpd reload > /dev/null 2>&1
else
	/sbin/service httpd reload > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%attr(-, apache, apache) /var/hda/apps/webcal/*
%attr(4700, apache, apache) /etc/cron.hourly/*


%changelog
* Sat Mar 24 2007 Carlos Puchol
- initial version
